Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1796)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1797)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-!
+! introduction of different datatransfer modes
 !
 ! Former revisions:
@@ -258,6 +258,6 @@
     USE pmc_interface,                                                         &
         ONLY:  client_to_server, nested_run, nesting_mode,                     &
-               pmci_ensure_nest_mass_conservation, pmci_client_datatrans,      &
-               pmci_client_synchronize, pmci_server_datatrans,                 &
+               pmci_client_synchronize, pmci_datatrans,                        &
+               pmci_ensure_nest_mass_conservation,                             &
                pmci_server_synchronize, server_to_client
 
@@ -673,20 +673,15 @@
 
           IF ( nested_run )  THEN
-!
-!--          TO_DO: try to give more meaningful comments here
-!--          Domain nesting
-!--          Note that the nesting operations are omitted intentionally on the
-!--          first two RK-substeps.
+
              CALL cpu_log( log_point(60), 'nesting', 'start' )
 !
-!--          From server to client commmunication ( direction=SERVER_TO_CLIENT )
-             CALL pmci_server_datatrans( server_to_client )
-             CALL pmci_client_datatrans( server_to_client )
+!--          Domain nesting. The data transfer subroutines pmci_server_datatrans
+!--          and pmci_client_datatatrans are called inside the wrapper
+!--          subroutine pmci_datatrans according to the control parameters
+!--          nesting_mode and nesting_datatransfer_mode.
+!--          TO_DO: why is nesting_mode given as a parameter here?
+             CALL pmci_datatrans( nesting_mode )
 
              IF ( nesting_mode == 'two-way' )  THEN
-!
-!--             From client to server commmunication ( direction=CLIENT_TO_SERVER )
-                CALL pmci_server_datatrans( client_to_server )
-                CALL pmci_client_datatrans( client_to_server )
 !
 !--             Exchange_horiz is needed for all server-domains after the
